You are here

Magic Linux 2.1 rc1 放出(7.22更新)

Primary tabs

本次有dvd/cd/livecd三个版本可供选择。

自Beta2以来的更新如下:
升级的软件包:
kernel 升级到 2.6.25.10,同时升级了相关模块(包括fuse/ntfs-3g/kvm等)。
file 升级到 4.23
intltool 升级到 0.40.0
gparted 升级到 0.3.7
dbus 升级到 1.2.1
pixman 升级到 0.10.0

splashy及splashy-themes到 0.3.10
poppler 到 0.8.3
jre 到 1.6.0_10
firefox 到 2.0.0.14
sip 升级到 4.7.6
sqlite 升级到 3.5.9
pango 升级到 1.21.2
cairo 升级到 1.6.4
pycairo 升级到 1.4.12

gtk2 升级到 2.13.3
glib2 升级到 2.17.2
glibmm24 升级到 2.16.2
cairomm 升级到 1.6.0
gtk-doc 升级到 1.10
gnome-doc-utils 升级到 0.12.2(从pango开始的这些是因为gnome而升级的)
desktop-file-utils 升级到 0.15
powersave 升级到 0.15.20
kpowersave 升级到 0.7.3

wine 升级到 1.1.1(可以运行 ppstream 了,可惜生成的流 kaffeine和 mplayer都放不了)
kaffeine 升级到 0.8.7
xine-lib 升级到 1.1.14 并开始使用外部的 ffmpeg 库。
k3b 升级到 1.0.5
smb4k 升级到 0.9.5
mkinitrd 升级到 6.0.51
flash-plugin 升级到 9.0.124
exiv2 升级到 0.17.1
lrcShow-II(歌词秀) 升级到 0.8.1

sox 升级到 14.0.1(打了补丁,可以正常的播放wav文件)
mldonkey 升级到 2.9.5 并分离了前端和后端包
amule 升级到 2.2.1 正式版
kdebluetooth 升级到 1.0-beta8
usbutils 升级到 0.73
module-init-tools 升级到 3.3-pre11

修改了 magic-system-config 的依赖以满足 cd 的依赖要求。
修改了 initscripts 中的 fstype和fsautomount 脚本。

修改了 hal 包中的配置以使普通用户可以挂载 U 盘。
更新了 amarok,修正了 flac 中的 utf8 编码处理。

更改的软件包:
用 gamin 替代了 fam,并重新编译了依赖于 libfam.la 的所有 kde包。
用更加稳定易用的 kuftp 代替了 kftpgrabber(推荐习惯了 Flashfxp 的朋友试试这个)
用 rarian 替代了 scrollkeeper
用 kerner-smp-alsa 替代了 alsa-driver和alsa-driver-devel

添加的软件包:

lynx
xmltoman
chmlib
liblazy
obexftp
libdaemon
avahi
jasper
kdegraphics-extras

具体的差距列表如下,其中 U 代表升级的包,N代表添加的包,R代表去除的包,D是软件判断的问题,其实也是升级了。
D apt-0.5.15lorg3.94a-2mgc.i686.rpm apt-0.5.15lorg3.94a-2.1mgc.i686.rpm
D apt-devel-0.5.15lorg3.94a-2mgc.i686.rpm apt-devel-0.5.15lorg3.94a-2.1mgc.i686.rpm
D kdegraphics-3.5.9-1mgc.i686.rpm kdegraphics-3.5.9-1.3mgc.i686.rpm
D kdegraphics-devel-3.5.9-1mgc.i686.rpm kdegraphics-devel-3.5.9-1.3mgc.i686.rpm
N dummy apt-python-0.5.15lorg3.94a-2.1mgc.i686.rpm
N dummy aufs-cvs20080615-1mgc.i686.rpm
N dummy aufs-module-kernel-2.6.25.10-smp-cvs20080615-1mgc.i686.rpm

N dummy avahi-0.6.23-0.1mgc.i686.rpm
N dummy avahi-compat-libdns_sd-0.6.23-0.1mgc.i686.rpm
N dummy chmlib-0.39-0.2mgc.i686.rpm
N dummy chmlib-devel-0.39-0.2mgc.i686.rpm
N dummy gamin-0.1.9-3mgc.i686.rpm
N dummy gamin-devel-0.1.9-3mgc.i686.rpm
N dummy gamin-python-0.1.9-3mgc.i686.rpm
N dummy gnutls-2.3.9-1mgc.i686.rpm
N dummy gnutls-devel-2.3.9-1mgc.i686.rpm

N dummy gspcav1-module-kernel-2.6.25.10-smp-01.00.20-4mgc.i686.rpm
N dummy jasper-1.900.1-0.5mgc.i686.rpm
N dummy jasper-devel-1.900.1-0.5mgc.i686.rpm
N dummy kdegraphics-extras-3.5.9-1.3mgc.i686.rpm
N dummy kernel-smp-alsa-2.6.25.10-1mgc.i686.rpm
N dummy kqemu-module-kernel-2.6.25.10-smp-1.3.0-0.pre11_9mgc.i686.rpm
N dummy kuftp-1.5.0-1mgc.i686.rpm
N dummy kvm-module-kernel-2.6.25.10-smp-70-1mgc.i686.rpm
N dummy libdaemon-0.12-0.3mgc.i686.rpm

N dummy libdaemon-devel-0.12-0.3mgc.i686.rpm
N dummy liblazy-0.2-1mgc.i686.rpm
N dummy liblazy-devel-0.2-1mgc.i686.rpm
N dummy libmodprobe-3.3-0.pre11.1mgc.i686.rpm
N dummy libmodprobe-devel-3.3-0.pre11.1mgc.i686.rpm
N dummy lynx-2.8.6-0.2mgc.i686.rpm
N dummy madwifi-0.9.4-2mgc.i686.rpm
N dummy madwifi-devel-0.9.4-2mgc.i686.rpm
N dummy madwifi-module-kernel-2.6.25.10-smp-0.9.4-2mgc.i686.rpm

N dummy mldonkey-backend-2.9.5-0.1mgc.i686.rpm
N dummy mldonkey-frontend-2.9.5-0.1mgc.i686.rpm
N dummy ndiswrapper-module-kernel-2.6.25.10-smp-1.53-1mgc.i686.rpm
N dummy obexftp-0.22-0.9.rc9mgc.i686.rpm
N dummy obexftp-devel-0.22-0.9.rc9mgc.i686.rpm
N dummy poppler-glib-0.8.3-0.1mgc.i686.rpm
N dummy poppler-glib-devel-0.8.3-0.1mgc.i686.rpm
N dummy rarian-0.8.0-1mgc.i686.rpm
N dummy rarian-compat-0.8.0-1mgc.i686.rpm

N dummy rarian-devel-0.8.0-1mgc.i686.rpm
N dummy xmltoman-0.3-0.2mgc.noarch.rpm
R alsa-driver-devel-1.0.16-4mgc.i686.rpm dummy
R alsa-driver-module-kernel-2.6.24.4-smp-1.0.16-4mgc.i686.rpm dummy
R fam-2.7.0-4mgc.i686.rpm dummy
R fam-devel-2.7.0-4mgc.i686.rpm dummy
R fuse-module-kernel-2.6.24.4-smp-2.7.3-2mgc.i686.rpm dummy
R gspcav1-module-kernel-2.6.24.4-smp-01.00.20-3mgc.i686.rpm dummy
R kftpgrabber-0.8.1-2mgc.i686.rpm dummy

R kqemu-module-kernel-2.6.24.4-smp-1.3.0-0.pre11_7mgc.i686.rpm dummy
R kvm-module-kernel-2.6.24.4-smp-64-2mgc.i686.rpm dummy
R ndiswrapper-module-kernel-2.6.24.4-smp-1.52-5mgc.i686.rpm dummy
R scrollkeeper-0.3.14-2mgc.i686.rpm dummy
U amarok-1.4.9.1-0.1mgc.i686.rpm amarok-1.4.9.1-0.3mgc.i686.rpm
U aMule-2.2.0-0.cvs20080205.2mgc.i686.rpm aMule-2.2.1-0.1mgc.i686.rpm
U autostart-0.4.2-1mgc.i686.rpm autostart-0.4.2-2mgc.i686.rpm
U cairo-1.4.12-1mgc.i686.rpm cairo-1.6.4-1mgc.i686.rpm
U cairo-devel-1.4.12-1mgc.i686.rpm cairo-devel-1.6.4-1mgc.i686.rpm

U cairomm-1.4.6-1mgc.i686.rpm cairomm-1.6.0-1mgc.i686.rpm
U cairomm-devel-1.4.6-1mgc.i686.rpm cairomm-devel-1.6.0-1mgc.i686.rpm
U dbus-1.1.0-1mgc.i686.rpm dbus-1.2.1-0.6mgc.i686.rpm
U dbus-devel-1.1.0-1mgc.i686.rpm dbus-devel-1.2.1-0.6mgc.i686.rpm
U dbus-x11-1.1.0-1mgc.i686.rpm dbus-x11-1.2.1-0.6mgc.i686.rpm
U dekorator-0.3-1mgc.i686.rpm dekorator-0.3-2mgc.i686.rpm
U desktop-file-utils-0.10-4mgc.i686.rpm desktop-file-utils-0.15-1mgc.i686.rpm
U exiv2-0.16-0.1mgc.i686.rpm exiv2-0.17.1-0.1mgc.i686.rpm
U exiv2-devel-0.16-0.1mgc.i686.rpm exiv2-devel-0.17.1-0.1mgc.i686.rpm

U file-4.21-3mgc.i686.rpm file-4.23-1mgc.i686.rpm
U file-devel-4.21-3mgc.i686.rpm file-devel-4.23-1mgc.i686.rpm
U firefox-2.0.0.12-1mgc.i686.rpm firefox-2.0.0.14-2mgc.i686.rpm
U firefox-zh_CN-resources-2.0.0.9-1mgc.noarch.rpm firefox-zh_CN-resources-2.0.0.14-2mgc.i686.rpm
U flash-plugin-9.0.115.0-1mgc.i686.rpm flash-plugin-9.0.124.0-1mgc.i686.rpm
U fuse-2.7.3-2mgc.i686.rpm fuse-2.7.3-4mgc.i686.rpm
U fuse-devel-2.7.3-2mgc.i686.rpm fuse-devel-2.7.3-4mgc.i686.rpm
U fuseiso-20061017-1mgc.i686.rpm fuseiso-20070708-1mgc.i686.rpm
U fusesmb-0.8.5-3mgc.i686.rpm fusesmb-0.8.7-4mgc.i686.rpm

U fuse-sshfs-1.8-1mgc.i686.rpm fuse-sshfs-2.0-1mgc.i686.rpm
U glib2-2.14.4-1mgc.i686.rpm glib2-2.17.2-0.1mgc.i686.rpm
U glib2-devel-2.14.4-1mgc.i686.rpm glib2-devel-2.17.2-0.1mgc.i686.rpm
U glibmm24-2.14.2-1mgc.i686.rpm glibmm24-2.16.2-1mgc.i686.rpm
U glibmm24-devel-2.14.2-1mgc.i686.rpm glibmm24-devel-2.16.2-1mgc.i686.rpm
U gnome-doc-utils-0.12.0-1mgc.i686.rpm gnome-doc-utils-0.12.2-1mgc.i686.rpm
U gnome-doc-utils-devel-0.12.0-1mgc.i686.rpm gnome-doc-utils-devel-0.12.2-1mgc.i686.rpm
U gparted-0.3.3-2mgc.i686.rpm gparted-0.3.7-0.1mgc.i686.rpm
U gspcav1-01.00.20-3mgc.i686.rpm gspcav1-01.00.20-4mgc.i686.rpm

U gtk2-2.12.2-1mgc.i686.rpm gtk2-2.13.3-0.1mgc.i686.rpm
U gtk2-devel-2.12.2-1mgc.i686.rpm gtk2-devel-2.13.3-0.1mgc.i686.rpm
U gtk-doc-1.8-1mgc.noarch.rpm gtk-doc-1.10-1mgc.noarch.rpm
U gwenview-1.4.2-2.1mgc.i686.rpm gwenview-1.4.2-3mgc.i686.rpm
U hal-0.5.9-0.git200706071mgc.i686.rpm hal-0.5.9-0.git200706073mgc.i686.rpm
U hal-devel-0.5.9-0.git200706071mgc.i686.rpm hal-devel-0.5.9-0.git200706073mgc.i686.rpm
U hwdata-0.207-1mgc.noarch.rpm hwdata-0.219-1mgc.noarch.rpm
U initscripts-8.47-9mgc.i686.rpm initscripts-8.47-11mgc.i686.rpm
U intltool-0.35.5-1mgc.i686.rpm intltool-0.40.0-1mgc.i686.rpm

U jre-1.6.0_04-fcs.i586.rpm jre-1.6.0_10-beta.i586.rpm
U k3b-1.0.4-1mgc.i686.rpm k3b-1.0.5-1mgc.i686.rpm
U k3b-ape-3.1-4mgc.i686.rpm k3b-ape-3.1-5mgc.i686.rpm
U k3b-i18n-1.0.4-1mgc.noarch.rpm k3b-i18n-1.0.5-1mgc.noarch.rpm
U kaffeine-0.8.6-2mgc.i686.rpm kaffeine-0.8.7-1mgc.i686.rpm
U kchmviewer-3.1-1mgc.i686.rpm kchmviewer-3.1-2mgc.i686.rpm
U kdeaddons-3.5.9-1mgc.i686.rpm kdeaddons-3.5.9-2mgc.i686.rpm
U kdeadmin-3.5.9-1mgc.i686.rpm kdeadmin-3.5.9-2mgc.i686.rpm
U kdebase-3.5.9-1mgc.i686.rpm kdebase-3.5.9-2mgc.i686.rpm

U kdebase-devel-3.5.9-1mgc.i686.rpm kdebase-devel-3.5.9-2mgc.i686.rpm
U kdebluetooth-1.0-0.beta2.2mgc.i686.rpm kdebluetooth-1.0-0.beta8.1mgc.i686.rpm
U kdebluetooth-devel-1.0-0.beta2.2mgc.i686.rpm kdebluetooth-devel-1.0-0.beta8.1mgc.i686.rpm
U kdelibs-3.5.9-1mgc.i686.rpm kdelibs-3.5.9-2mgc.i686.rpm
U kdelibs-devel-3.5.9-1mgc.i686.rpm kdelibs-devel-3.5.9-2mgc.i686.rpm
U kdemultimedia-3.5.9-1mgc.i686.rpm kdemultimedia-3.5.9-2mgc.i686.rpm
U kdemultimedia-devel-3.5.9-1mgc.i686.rpm kdemultimedia-devel-3.5.9-2mgc.i686.rpm
U kdenetwork-3.5.9-1mgc.i686.rpm kdenetwork-3.5.9-2mgc.i686.rpm
U kdenetwork-devel-3.5.9-1mgc.i686.rpm kdenetwork-devel-3.5.9-2mgc.i686.rpm

U kdepim-3.5.9-1mgc.i686.rpm kdepim-3.5.9-2mgc.i686.rpm
U kdepim-devel-3.5.9-1mgc.i686.rpm kdepim-devel-3.5.9-2mgc.i686.rpm
U kdesdk-3.5.9-1mgc.i686.rpm kdesdk-3.5.9-2mgc.i686.rpm
U kdesdk-devel-3.5.9-1mgc.i686.rpm kdesdk-devel-3.5.9-2mgc.i686.rpm
U kdewebdev-3.5.9-1mgc.i686.rpm kdewebdev-3.5.9-2mgc.i686.rpm
U kdewebdev-devel-3.5.9-1mgc.i686.rpm kdewebdev-devel-3.5.9-2mgc.i686.rpm
U kdmtheme-1.1.2-2mgc.i686.rpm kdmtheme-1.1.2-3mgc.i686.rpm
U kernel-headers-2.6.24.4-1mgc.i686.rpm kernel-headers-2.6.25.10-1mgc.i686.rpm
U kernel-smp-2.6.24.4-1mgc.i686.rpm kernel-smp-2.6.25.10-1mgc.i686.rpm

U kernel-smp-agp-2.6.24.4-1mgc.i686.rpm kernel-smp-agp-2.6.25.10-1mgc.i686.rpm
U kernel-smp-drm-2.6.24.4-1mgc.i686.rpm kernel-smp-drm-2.6.25.10-1mgc.i686.rpm
U kfuseiso-20061108-1mgc.i686.rpm kfuseiso-20061108-2mgc.i686.rpm
U kio_mhtml-0.3.4-3mgc.i686.rpm kio_mhtml-0.3.4-4mgc.i686.rpm
U kpowersave-0.7.2-1mgc.i686.rpm kpowersave-0.7.3-1mgc.i686.rpm
U ktorrent-2.2.5-1mgc.i686.rpm ktorrent-2.2.7-1mgc.i686.rpm
U kvm-64-2mgc.i686.rpm kvm-70-1mgc.i686.rpm
U kvm-devel-64-2mgc.i686.rpm kvm-devel-70-1mgc.i686.rpm
U lrcShow-II-0.5.1-0.1mgc.i686.rpm lrcShow-II-0.7.2-0.1mgc.i686.rpm

U magic-system-config-2.1-6mgc.i686.rpm magic-system-config-2.1-8mgc.i686.rpm
U mkinitrd-6.0.19-1mgc.i686.rpm mkinitrd-6.0.51-1mgc.i686.rpm
U mldonkey-2.9.2-1mgc.i686.rpm mldonkey-2.9.5-0.1mgc.i686.rpm
U module-init-tools-3.2.2-3mgc.i686.rpm module-init-tools-3.3-0.pre11.1mgc.i686.rpm
U ndiswrapper-1.52-5mgc.i686.rpm ndiswrapper-1.53-1mgc.i686.rpm
U ntfs-3g-1.2310-1mgc.i686.rpm ntfs-3g-1.2531-0.1mgc.i686.rpm
U ntfs-3g-devel-1.2310-1mgc.i686.rpm ntfs-3g-devel-1.2531-0.1mgc.i686.rpm
U pango-1.19.0-1mgc.i686.rpm pango-1.21.2-1mgc.i686.rpm
U pango-devel-1.19.0-1mgc.i686.rpm pango-devel-1.21.2-1mgc.i686.rpm

U pixman-0.9.6-4mgc.i686.rpm pixman-0.10.0-1mgc.i686.rpm
U pixman-devel-0.9.6-4mgc.i686.rpm pixman-devel-0.10.0-1mgc.i686.rpm
U poppler-0.6.4-1mgc.i686.rpm poppler-0.8.3-0.1mgc.i686.rpm
U poppler-devel-0.6.4-1mgc.i686.rpm poppler-devel-0.8.3-0.1mgc.i686.rpm
U poppler-qt-0.6.4-1mgc.i686.rpm poppler-qt-0.8.3-0.1mgc.i686.rpm
U poppler-qt-devel-0.6.4-1mgc.i686.rpm poppler-qt-devel-0.8.3-0.1mgc.i686.rpm
U poppler-utils-0.6.4-1mgc.i686.rpm poppler-utils-0.8.3-0.1mgc.i686.rpm
U powersave-0.14.0-2mgc.i686.rpm powersave-0.15.20-2mgc.i686.rpm
U powersave-devel-0.14.0-2mgc.i686.rpm powersave-devel-0.15.20-2mgc.i686.rpm

U powersave-libs-0.14.0-2mgc.i686.rpm powersave-libs-0.15.20-2mgc.i686.rpm
U pycairo-1.4.0-1mgc.i686.rpm pycairo-1.4.12-1mgc.i686.rpm
U pycairo-devel-1.4.0-1mgc.i686.rpm pycairo-devel-1.4.12-1mgc.i686.rpm
U sip-4.5-1mgc.i686.rpm sip-4.7.6-0.1mgc.i686.rpm
U sip-devel-4.5-1mgc.i686.rpm sip-devel-4.7.6-0.1mgc.i686.rpm
U smb4k-0.9.2-2mgc.i686.rpm smb4k-0.9.5-1mgc.i686.rpm
U smb4k-devel-0.9.2-2mgc.i686.rpm smb4k-devel-0.9.5-1mgc.i686.rpm
U sox-12.18.2-1mgc.i686.rpm sox-14.0.1-0.1mgc.i686.rpm
U sox-devel-12.18.2-1mgc.i686.rpm sox-devel-14.0.1-0.1mgc.i686.rpm

U splashy-0.3.9-1mgc.i686.rpm splashy-0.3.10-1mgc.i686.rpm
U splashy-themes-0.3.9-1mgc.i686.rpm splashy-themes-0.3.10-1mgc.i686.rpm
U sqlite-3.3.14-1mgc.i686.rpm sqlite-3.5.9-1mgc.i686.rpm
U sqlite-devel-3.3.14-1mgc.i686.rpm sqlite-devel-3.5.9-1mgc.i686.rpm
U usbutils-0.71-1.2mgc.i686.rpm usbutils-0.73-1mgc.i686.rpm
U wine-0.9.60-0.1mgc.i686.rpm wine-1.1.1-1mgc.i686.rpm
U wine-devel-0.9.60-0.1mgc.i686.rpm wine-devel-1.1.1-1mgc.i686.rpm
U xine-lib-1.1.12-0.1mgc.i686.rpm xine-lib-1.1.14-0.2mgc.i686.rpm
U xine-lib-devel-1.1.12-0.1mgc.i686.rpm xine-lib-devel-1.1.14-0.2mgc.i686.rpm

除了软件包的更新,其它的更新如下
MI的内核改为和系统一致的2.6.25.10
不再默认启用 splashy,愿意用的可以自行修改 grub.conf,为 kernel 添加 splash 参数。
关于U盘的自动挂载:
安装时添加的用户可以自动挂载,安装后添加的默认不可以,如果需要可将其添加到 plugdev 组,用命令行如下:
usermod -G plugdev xxxx
也可以利用 kuser 在图形界面下设置,如果想把系统现有的普通用户都设为可自动挂载,在root下执行addplug即可。

相对于dvd版本,cd中主要少了如下的一些软件:amule/mldonkey/wxgtk/游戏/几个不重要的devel/nx/splashy/kwebdev/两个大图标包/jre/firefox(有

konqueror)/mplayer(有kaffeine)等,其实cd版本比较接近2.0的配置,具体少的软件包列表如下:

aMule-2.2.1-0.1mgc.i686.rpm
apt-python-0.5.15lorg3.94a-2.1mgc.i686.rpm
aspell-en-6.0-2mgc.i686.rpm
bitstormlite-0.2i-1mgc.i686.rpm
BlueDJGames-3.1.2-1mgc.i686.rpm
chmlib-devel-0.39-0.2mgc.i686.rpm
d4x-2.5.7.1-6mgc.i686.rpm

dhcp-devel-3.0.6-1mgc.i686.rpm
dhcp-static-3.0.6-1mgc.i686.rpm
eciadsl-usermode-0.11-2mgc.i686.rpm
exiv2-devel-0.17.1-0.1mgc.i686.rpm
firefox-2.0.0.14-2mgc.i686.rpm
firefox-zh_CN-resources-2.0.0.14-2mgc.i686.rpm
freenx-0.7.1-1mgc.i686.rpm
gdb-6.5-2mgc.i686.rpm
gnutls-2.3.9-1mgc.i686.rpm

gnutls-devel-2.3.9-1mgc.i686.rpm
gsplashy-0.1-1mgc.i686.rpm
jre-1.6.0_10-beta.i586.rpm
kdebluetooth-1.0-0.beta8.1mgc.i686.rpm
kdebluetooth-devel-1.0-0.beta8.1mgc.i686.rpm
kdegraphics-devel-3.5.9-1.3mgc.i686.rpm
kdegraphics-extras-3.5.9-1.3mgc.i686.rpm
kdemultimedia-devel-3.5.9-2mgc.i686.rpm
kdenetwork-devel-3.5.9-2mgc.i686.rpm

kdepim-devel-3.5.9-2mgc.i686.rpm
kdesdk-devel-3.5.9-2mgc.i686.rpm
kdevelop-3.5.1-1mgc.i686.rpm
kdewebdev-3.5.9-2mgc.i686.rpm
kdewebdev-devel-3.5.9-2mgc.i686.rpm
kmplayer-0.10.0-1mgc.i686.rpm
kqemu-module-kernel-2.6.25.10-smp-1.3.0-0.pre11_9mgc.i686.rpm
kvm-70-1mgc.i686.rpm
kvm-devel-70-1mgc.i686.rpm

kvm-module-kernel-2.6.25.10-smp-70-1mgc.i686.rpm
libdaemon-devel-0.12-0.3mgc.i686.rpm
llk-2.3-0.beta1.2mgc.i686.rpm
lynx-2.8.6-0.2mgc.i686.rpm
mldonkey-2.9.5-0.1mgc.i686.rpm
mldonkey-backend-2.9.5-0.1mgc.i686.rpm
mldonkey-frontend-2.9.5-0.1mgc.i686.rpm
mplayer-1.0svn20071109-3mgc.i686.rpm
multiget-1.2.0-2mgc.i686.rpm

nmap-4.20-2mgc.i686.rpm
nmap-frontend-4.20-2mgc.i686.rpm
ntp-4.2.4-1mgc.i686.rpm
NuvoX-0.7-1mgc.i686.rpm
nx-3.0.0-2mgc.i686.rpm
openssh-server-4.6p1-3mgc.i686.rpm
openssl097a-0.9.7a-1mgc.i686.rpm
openssl097m-0.9.7m-1mgc.i686.rpm
Oxygen-0.1-2mgc.i686.rpm

privoxy-3.0.6-1mgc.i686.rpm
qemu-0.9.1-1mgc.i686.rpm
qterm-0.4.1-0.2mgc.i686.rpm
rsync-2.6.9-2mgc.i686.rpm
smplayer-0.5.21-2mgc.i686.rpm
splashy-0.3.10-1mgc.i686.rpm
splashy-themes-0.3.10-1mgc.i686.rpm
stardict-3.0.1-1mgc.i686.rpm
stardict-langdao-ce-gb-2.4.2-2mgc.noarch.rpm

stardict-langdao-ec-gb-2.4.2-2mgc.noarch.rpm
suspend-0.80-1mgc.i686.rpm
tor-0.1.2.16-1mgc.i686.rpm
tork-0.18-1mgc.i686.rpm
wine-devel-1.1.1-1mgc.i686.rpm
wx-gtk2-unicode-2.8.7-1mgc.i686.rpm
wx-gtk2-unicode-contrib-2.8.7-1mgc.i686.rpm
wx-gtk2-unicode-contrib-devel-2.8.7-1mgc.i686.rpm
wx-gtk2-unicode-devel-2.8.7-1mgc.i686.rpm

wx-gtk2-unicode-gl-2.8.7-1mgc.i686.rpm
xmltoman-0.3-0.2mgc.noarch.rpm
xorg-x11-fonts-ISO8859-14-100dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-14-75dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-15-100dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-15-75dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-2-100dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-2-75dpi-7.3-1mgc.noarch.rpm
xorg-x11-fonts-ISO8859-9-100dpi-7.3-1mgc.noarch.rpm

xorg-x11-fonts-ISO8859-9-75dpi-7.3-1mgc.noarch.rpm

livecd是在cd版本安装后直接制作的,完全和cd安装后的内容一样,root的密码是magicfans,有一个普通用户,名字是 magiclinux,密码是 linuxfans。由于不知道怎么才在启动的时候更新 x 的配置,所以 x 的驱动使用的是 vesa,在vmware上测试通过。

仓库在这段时间添加了不少东西,包括gnome,compiz-fusion等,希望安装了的朋友能报告相关的BUG。
推荐两个东西,一个是 Lazarus,相当于 Windows 下的 Delphi,一个是 gambas,相当于 Windows 下的 VB,从 Windows 转过来的程序员可以试下。

既然到了RC了,软件的版本基本就冻结了,除了像hwdata/wine这类的,其它的不再更新。下一步的主要工作是除BUG,以及处理MI和仓库的内容。希望大家可以给予支持,比如说提一些需求什么的。
BUG报告请到另一个贴子,有需求也可以在那里提。

下载地址:

dvd:
http://apt.magiclinux.org/iso/MagicLinux-2.1.rc1.dvd-1.iso
http://apt.magiclinux.org/iso/MagicLinux-2.1.rc1.dvd-1.iso.md5sum

http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.dvd-1.iso
http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.dvd-1.iso.md5sum

cd:
http://apt.magiclinux.org/iso/MagicLinux-2.1.rc1.cd-1.iso
http://apt.magiclinux.org/iso/MagicLinux-2.1.rc1.cd-1.iso.md5sum

http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.cd-1.iso
http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.cd-1.iso.md5sum

livecd:
http://apt.magiclinux.org/livecd/MagicLinux-2.1.rc1.livecd-1.iso
http://apt.magiclinux.org/livecd/MagicLinux-2.1.rc1.livecd-1.iso.md5sum

http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.livecd-1.iso
http://mirrors.lcuc.org.cn/magiclinux/iso/test/MagicLinux-2.1.rc1.livecd-1.iso.md5sum

一些问题的说明:
1.beta2应该可以用apt-get(smart)升级到rc1,部分包可能有问题,尤其是和内核相关的部分,推荐用smart来升级,apt-get和smart对内核部分的处理不太一样。

2.nv和ati的驱动请安装最新版本,已经测试过,可以正常安装,ati的仍然需要建立链接,nv的驱动分成三个系列,1xx/9x/7x,都有最新版本。

3.3D桌面,下面以官方的仓库为例,如果用haulm的仓库的,类似,不过管理器不一样而已。
首先你得有一个3D的显卡驱动,glxgears要能运行。然后
安装:apt-get install fusion-icon
如果你不想用KDE的窗口装饰,这样就可以了。然后从K菜单中的系统运行Compiz Fusion Icon,即可使用3D桌面,在右下角会有fusion-icon的图标,右击可以看到选项,虽然是英文的(这个程序没考虑国际化的问题),不过比较简单。如果你想保持KDE窗口风格并想安装额外的效果的话,可以再

apt-get install compiz-kde compiz-fusion-unsupported,这样fusion-icon可以选择KDE的窗口装饰,不过对NV的显卡,需要更改下xorg.conf

Section "Device"
         Identifier  "Videocard0"
         Driver      "nvidia"

         Option "AddARGBGLXVisuals" "True"  
         VendorName  "Videocard vendor"
         BoardName   "nVidia Corporation NV17 [GeForce4 MX 440]"

         VideoRam    65536
EndSection

Section "Screen"

         Identifier "Screen0"
         Device     "Videocard0"
         Monitor    "Monitor0"

         DefaultDepth     24
         SubSection "Display"
                 Depth     24

         Option       "RenderAccel" "true"
         Option       "AllowGLXWithComposite" "true"

         Option       "AddARGBGLXVisuals" "True"
EndSubSection

红字部分是添加内容。

4.xfce4和gnome,gnome因为没有人维护,只有我打了一个不稳定版本,所以不推荐使用,如果要使用的话,希望能报告发现的问题并给出解决办法。
xfce4可以用apt-get install xfce4-core安装,不过xfce4上一些额外的插件没有打包。大家可以在使用看,如果有需要,会慢慢添加。
e17可以用apt-get install enlightenment 安装。

以上的apt-get都可以换成smart,也可以用智能包管理器在图形界面下安装。

评论

进入livecd的用户名和密码是什么?

root/magicfans
magiclinux/linuxfans

找了半天没找到,是不是没这个功能?

我对linux一一窍不通,不过很想学习的,请问哈,下了cd,怎么安装到硬盘?谢谢!

cd可以刻盘安装,也可以用硬盘安装。
请到www.linuxfans.org的论坛的技术支持区,那里有详细的介绍。

我用的是965主板的笔记本电脑,声卡识别出来的是Intel corporation 8280H(ich8 family) HD Audio Controller,但是就是不能安装上去,每次安装驱动的时候,都提示没有设备,怎么办。这个版本的alsa驱动已经是最新的了,我也曾经下载官方的新版驱动,但都是装不上,是不是安装方法有错啊?
重装了一次系统后,发现无线网卡(intel 4965)不能用了,而且更新是经常出现问题。

HD的声卡需要特殊处理,可是我没有hd的声卡,所以中间只有kde打过一回hd的驱动包。

网卡的问题,因为没有带4965的firmware,你从仓库里装一个iwl4965-ucode就可以了。

我用的是宏碁的笔记本,所以hd声卡的model=acer aspire,我在ubuntu是可以用的。但是ubuntu中是修改/etc/mobprode.b/alsa-base文件,可是magiclinux中没有这个文件,只有/etc/mobprode.b/sound这个文件。我想试一下也应该可能没有问题,但是现在ubuntu都安装好了,不想再重装了,等magiclinux3.0出了以后再装一次

本来想在我的ThinkPadR51e上试试2.1的,
无奈安装中很多地方提示包读取错误,不知道是我的CD问题还是
其他的原因。

现在还是用2.0.1吧,还好只是用来做一些嵌入式的开发。

经过一段时间的试用linux,总的感觉就是不平民化,这是普通人不选择的原因。建议:
1,解决安装时ATI显卡造成的安装问题,象三星R18笔记本、梅捷主板690(ATI芯片)等安装时就很难,一般人搞不定。应做成象WINDOWSXP一样方便,才有市场竞争力。
2,提高系统的运行速度。同样的配置,windows xp 就要快的多。
3,软件的安装做成双击mouse就能解压安装,不要到终端输入什么命令。(我想在magiclinux 2.0中安装openoffice 2.2.1,到软件包管理哪,找到了rpm文件,却不能全选后回车全部运行安装好,而红旗linux 6.0可以。
4,下载工具AXEL 听说像迅雷一样快,就是因安装问题现在还未安装上,能否内置在Magiclinux 3.0中。

以上是我的一点想法,我衷心祝愿Magiclinux 蓬勃发展!深受广大民众的喜爱。

呵呵,想得和我差不多,不过要做到以上比较难。得给linux大变脸,会对内核做很多修改。
有兴趣交流一下:mingcuiliu@163.com

我用的是dell640的本本
可用cd安装的时候
rpm包安装时
没有显示时间及剩余
最后包配置也没有
甚至initrd都没有
硬盘和cd安装都是如此
而dvd就没事
这是怎么回事啊

下载的是DVD的,安装完毕后后启,配置完网卡后进入系统,但只能进行文本,不能进行X,X -configurate命令后光标就到了左上角不动了,不知道为什么!!!

我很赞同MAGIC的观点,但我认为LINUX在易用性上的落后是根本性的,冰冻三尺,非一日之寒,要真正做到易用,使普通用户(非程序员)也能接受,还得来些彻底的变革。

还想问个问题,做linux发行版能挣钱吗?

本人菜鸟一个,希望高手指点,不胜感谢!如有需要,可发邮件:mingcuiliu@163.com

前几天升级到magic linux 2.1rc1,出现不能拔号连接上网,提示找不能网卡的IP。我是用原来在magic linux 2.0网络设置方法,应该没错啊?那到底为什么呢?再搞几天不行只能用回magic linux 2.0了。我是机器是老本IBM X23,magic linux 2.0用行欢畅,那位大侠帮忙解决下?
先谢。